//---------------------------------------------------------------------------
// Borland C++Builder
// Copyright (c) 1987, 1997 Borland International Inc.  All Rights Reserved.
//---------------------------------------------------------------------------
// Sampreg.cpp
//
// This file registers several of the components which appear on the "Samples"
// Component palette in the C++ Builder IDE.
//---------------------------------------------------------------------------

#include <vcl/vcl.h>
#pragma hdrstop
#define REGISTER_ALL_CONTROLS


#include "source\calendar.cpp"
#include "source\colorgrd.cpp"
#include "source\gauges.cpp"
#include "source\spin.cpp"
#include "source\piereg.cpp"
#include "source\diroutln.cpp"
#include "source\demolbl.cpp"


namespace Sampreg {
  void __fastcall Register()
  {
    TComponentClass classes[] = { __classid(TCalendar),
                                  __classid(TColorGrid),
                                  __classid(TGauge),
                                  __classid(TSpinButton),
                                  __classid(TSpinEdit),
                                  __classid(TPie),
                                  __classid(TDirectoryOutline),
                                  __classid(TDemoLabel)
                                };

    RegisterComponents("Samples",
                        classes,
                        (sizeof(classes)/sizeof(classes[0])) - 1);

    //For the Pie component
    RegisterComponentEditor(__classid(TPie), __classid(TPieEditor));
    RegisterPropertyEditor(__typeinfo(TAngles),
                           NULL,
                           "",
                           __classid(TAnglesProperty));

  } // Register
}   // namespace Sampreg
